<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" lang="en">
<head>
    <meta charset="UTF-8"/>
    <title>Spring Framework Guru</title>
</head>
<body>
<h1>Book List</h1>
<table>
    <tr>
        <th>ID</th>
        <th>Title</th>
        <th>Publisher</th>
    </tr>
    <tr th:each="book : ${books}">
        <td th:text="${book.id}">123</td>
        <td th:text="${book.title}">Spring in Action</td>
        <td th:text="${book.publisher.name}">Wrox</td>
    </tr>

</table>

</body>
</html>